#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Wed Mar 23 09:31:22 2022

@author: anton
"""

from SLiCAP import *
from specs import *

fileName = "coupledCoils"

prj = initProject(fileName)

#makeNetlist(fileName + ".asc", "Coupled coils")

i1 = instruction()
i1.setCircuit(fileName + ".cir")

i1.defPar("L_s", Ls)
i1.defPar("R_s", Rs)
i1.defPar("C_s", Cs)
i1.defPar("L_r", Lr)
i1.defPar("R_r", Rr)
i1.defPar("C_r", Cr)
i1.defPar("k", k)
i1.defPar("R_g", Rg)
i1.defPar("R_i", Ri)
i1.defPar("C_i", Ci)

htmlPage("Circuit data")
head2html("Model transfer measurement with HP3577A")
img2html(fileName + ".svg", 600)
netlist2html(fileName + ".cir")
elementData2html(i1.circuit)

i1.setSource("V1" )
i1.setDetector("V_out")
i1.setGainType("gain")
i1.setDataType("laplace")
i1.setSimType("numeric")
result = i1.execute()

figdBmagTransfer = plotSweep("dBmagTransfer", "Loop antenna dBmag(transfer)", result, 100, 1000e3, 500, funcType="dBmag", show=True)

fig2html(figdBmagTransfer, 800)